Bug 454600 - update expat-devel package to include automake macros
update expat-devel package to include automake macros
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: expat (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
: Patch, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 05:16 EDT by Stijn Hoop
Modified: 2009-12-18 01:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:14:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to expat.spec (1.57 KB, patch)
2008-07-09 05:16 EDT, Stijn Hoop
no flags Details | Diff
patch for conftools/expat.m4 to silence automake 1.10.1 (484 bytes, patch)
2008-07-09 05:16 EDT, Stijn Hoop
no flags Details | Diff

  None (edit)
Description Stijn Hoop 2008-07-09 05:16:14 EDT
While compiling third-party software I get 'AM_WITH_EXPAT' undefined errors
while running automake. expat-devel turns out not to install expat.m4

This is with expat-2.0.1.fc9.

Attached is a specfile patch to install the .m4 file in %{_datadir}/aclocal.

It also silences rpmlint warnings for the generated -debuginfo RPM as well as I
ran into that by accident.

Furthermore automake 1.10.1 generates a warning while using the default expat.m4
as included in the distribution; I've sent the (very simple) patch upstream, but
I also include it here as the second attachment. It is also used by the new
.spec file. If Fedora upstream policy defaults to waiting for an upstream
release before including these kinds of patches, I'm fine with dropping this
part of the diff.
Comment 1 Stijn Hoop 2008-07-09 05:16:14 EDT
Created attachment 311355 [details]
patch to expat.spec
Comment 2 Stijn Hoop 2008-07-09 05:16:57 EDT
Created attachment 311356 [details]
patch for conftools/expat.m4 to silence automake 1.10.1

patch for conftools/expat.m4 to silence automake 1.10.1
Comment 3 Bug Zapper 2008-11-25 21:31:59 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 07:35:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:14:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.